## org.hibernate.metamodel.source.binder
Interface ToOneAttributeSource

All Superinterfaces:
  AssociationAttributeSource, AttributeSource, RelationalValueSourceContainer, SingularAttributeSource

All Known Implementing Classes:
  ToOneAttributeSourceImpl

    public interface ToOneAttributeSource

extends SingularAttributeSource, AssociationAttributeSource

Further contract for sources of `*-to-one` style associations.

Method Summary
`String` `getReferencedEntityAttributeName()` Obtain the name of the referenced attribute.
`String` `getReferencedEntityName()` Obtain the name of the referenced entity.

Methods inherited from interface org.hibernate.metamodel.source.binder.SingularAttributeSource
`getGeneration, getNature, isInsertable, isLazy, isUpdatable, isVirtualAttribute`

Methods inherited from interface org.hibernate.metamodel.source.binder.RelationalValueSourceContainer
`areValuesIncludedInInsertByDefault, areValuesIncludedInUpdateByDefault, areValuesNullableByDefault, relationalValueSources`

Methods inherited from interface org.hibernate.metamodel.source.binder.AssociationAttributeSource
`getCascadeStyles, getFetchMode, getFetchStyle, getFetchTiming`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSource
`getName, getPropertyAccessorName, getTypeInformation, isIncludedInOptimisticLocking, isSingular, metaAttributes`

Method Detail

### getReferencedEntityName

    String getReferencedEntityName()

  Obtain the name of the referenced entity.

  Returns:
    The name of the referenced entity

### getReferencedEntityAttributeName

    String getReferencedEntityAttributeName()

  Obtain the name of the referenced attribute. Typically the reference is built based on the identifier attribute of the `referenced entity`, but this value allows using a different attribute instead.

  Returns:
    The name of the referenced attribute; `null` indicates the identifier attribute.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.